#### D.4.16.45 kerHom

Procedure from library `modules.lib` (see modules_lib).

Return:
  returns the kernel of the given homomorphism

Example:

    LIB "modules.lib";
    ring R=0,(x,y),(lp,c);
    Matrix M=id(2);
    Module src=image(M);
    matrix rules[2][2]=x,y,xy,y2;
    Module tar=coker(M);
    Homomorphism f=homomorphism(rules,src,tar);
    f;
    ==> | x  y  |
    ==> | xy y2 |
    ==>
    ==> cokernel | 1 0 | <--- R^2
    ==>          | 0 1 |
    ==>
    kerHom(f);
    ==> image | 0  -1 |
    ==>       | -1 0  |
    ==>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.